<div class="row" *ngIf="eventgroup">
  <div class="col-12">
    <h4 class="page-title">Probenphasen Einstellungen - {{eventgroup.title}}</h4>
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
        <li class="breadcrumb-item"><a
            routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}">{{eventgroup.project.name}}</a></li>
        <li class="breadcrumb-item"><a
            routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}/eventgroups/{{eventgroup.id}}">{{eventgroup.title}}</a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">Einstellungen</li>
      </ol>
    </nav>
  </div>
</div>
<div class="row mt-3" *ngIf="eventgroup">
  <div class="col-md-6 mb-3">
    <div class="card">
      <div class="card-heading">
        <h5>Probenphasedaten</h5>
      </div>
      <div class="card-body">
        <eos-event-group-form [eventgroup]="eventgroup"></eos-event-group-form>
        <button class="btn btn-success mt-2" (click)="saveEventgroup()">Speichern</button>
      </div>
    </div>
  </div>
  <div class="col-md-6 mb-3">
    <div class="card mb-3">
      <div class="card-heading">
        <h5>Einstellungen</h5>
      </div>
      <div class="card-body" *ngIf="eventgroup && project">
        <h5>Zielgruppe</h5>
        <eos-target-group [eventgroup]="eventgroup" [ensembleId]="ensembleId" [target]="'eventgroup'" [project]="project"></eos-target-group>
        <hr>
        <h5>Anmeldekonfiguration</h5>
        <eos-announcement-configuration [eventgroup]="eventgroup"></eos-announcement-configuration>
        <hr>
        <h5>Erinnerung</h5>
        <p class="card-text">Es wird automatisch eine Erinnerung gesendet an alle angemeldeten Mitglieder des Projekts, die sich noch nicht für die Probenphase an oder abgemeldet haben.</p>
        <form class="form-inline" #f="ngForm">
          <div class="custom-control custom-checkbox my-1 mr-sm-2">
            <input type="checkbox" class="custom-control-input" id="sendReminderInput" name="sendReminderInput" [(ngModel)]="eventgroup.autoReminder">
            <label class="custom-control-label" for="sendReminderInput">Automatische Erinnerung senden</label>
          </div>
          <input type="number" class="form-control my-1 mr-sm-2" id="reminderDaysInput" name="reminderDaysInput" [(ngModel)]="eventgroup.reminderDaysBeforeDeadline">
          <label class="my-1 mr-2" for="reminderDaysInput">Tage vor Anmeldedeadline</label>
        </form>
        <p class="text-warning" *ngIf="eventgroup.autoReminderSent">
          Es wurde bereits eine Erinnerung gesendet. Wenn du die Tage veränderst, wird erneut eine Erinnerung gesendet.
        </p>
        <hr>
        <button class="btn btn-success" (click)="saveEventgroup()">Speichern</button>
      </div>
    </div>
    <div class="card" *ngIf="isProjectManager">
      <div class="card-heading">
        <h5 class="text-danger">Probenphase zurücksetzen</h5>
      </div>
      <div class="card-body">
        <p>Der Button setze alle Anmeldungen der Probenphase inklusive aller Termine zurück. Die Aktion kann nicht rückgängig gemacht werden.</p>
        <button class="btn btn-outline-danger" (click)="openAnnouncementDeleteConfirmModal()">Anmeldungen zurücksetzen</button>
      </div>
      <hr>
      <div class="card-body">
        <p>Der Button löscht die gesamte Probenphase inklusive aller Termine und Anmeldungen. Die Aktion kann nicht rückgängig gemacht werden.</p>
        <button class="btn btn-danger" (click)="openEventgroupDeleteConfirmModal()">Probenphase löschen</button>
      </div>
    </div>
  </div>
</div>